ublas: boost::numeric::ublas::matrix_row< M > Class Template Reference

# boost::numeric::ublas::matrix_row< M > Class Template Reference

Inherits vector_expression< matrix_row< M > >.

List of all members.

## Classes

class | const_iterator
class | iterator

## Public Types

typedef M | matrix_type
typedef M::size_type | size_type
typedef M::difference_type | difference_type
typedef M::value_type | value_type
typedef M::const_reference | const_reference
typedef boost::mpl::if_ < boost::is_const< M > , typename M::const_reference, typename M::reference >::type | reference

typedef boost::mpl::if_
< boost::is_const< M >
, typename
M::const_closure_type,
typename M::closure_type >
::type

matrix_closure_type

typedef const self_type | const_closure_type
typedef self_type | closure_type
typedef storage_restrict_traits < typename M::storage_category, dense_proxy_tag > ::storage_category | storage_category
typedef reverse_iterator_base < const_iterator > | const_reverse_iterator
typedef reverse_iterator_base < iterator > | reverse_iterator

## Public Member Functions

BOOST_UBLAS_INLINE | matrix_row (matrix_type &data, size_type i)
BOOST_UBLAS_INLINE size_type | size () const
BOOST_UBLAS_INLINE size_type | index () const
BOOST_UBLAS_INLINE const matrix_closure_type & | data () const
BOOST_UBLAS_INLINE matrix_closure_type & | data ()
BOOST_UBLAS_INLINE const_reference | operator() (size_type j) const
BOOST_UBLAS_INLINE reference | operator() (size_type j)
BOOST_UBLAS_INLINE const_reference | operator[] (size_type j) const
BOOST_UBLAS_INLINE reference | operator[] (size_type j)
BOOST_UBLAS_INLINE matrix_row & | operator= (const matrix_row &mr)
BOOST_UBLAS_INLINE matrix_row & | assign_temporary (matrix_row &mr)
template<class AE >
BOOST_UBLAS_INLINE matrix_row & | operator= (const vector_expression< AE > &ae)
template<class AE >
BOOST_UBLAS_INLINE matrix_row & | assign (const vector_expression< AE > &ae)
template<class AE >
BOOST_UBLAS_INLINE matrix_row & | operator+= (const vector_expression< AE > &ae)
template<class AE >
BOOST_UBLAS_INLINE matrix_row & | plus_assign (const vector_expression< AE > &ae)
template<class AE >
BOOST_UBLAS_INLINE matrix_row & | operator-= (const vector_expression< AE > &ae)
template<class AE >
BOOST_UBLAS_INLINE matrix_row & | minus_assign (const vector_expression< AE > &ae)
template<class AT >
BOOST_UBLAS_INLINE matrix_row & | operator*= (const AT &at)
template<class AT >
BOOST_UBLAS_INLINE matrix_row & | operator/= (const AT &at)
BOOST_UBLAS_INLINE bool | same_closure (const matrix_row &mr) const
BOOST_UBLAS_INLINE bool | operator== (const matrix_row &mr) const
BOOST_UBLAS_INLINE void | swap (matrix_row mr)
BOOST_UBLAS_INLINE const_iterator | find (size_type j) const
BOOST_UBLAS_INLINE iterator | find (size_type j)
BOOST_UBLAS_INLINE const_iterator | begin () const
BOOST_UBLAS_INLINE const_iterator | end () const
BOOST_UBLAS_INLINE iterator | begin ()
BOOST_UBLAS_INLINE iterator | end ()
BOOST_UBLAS_INLINE const_reverse_iterator | rbegin () const
BOOST_UBLAS_INLINE const_reverse_iterator | rend () const
BOOST_UBLAS_INLINE reverse_iterator | rbegin ()
BOOST_UBLAS_INLINE reverse_iterator | rend ()

## Friends

BOOST_UBLAS_INLINE friend void | swap (matrix_row mr1, matrix_row mr2)

### template<class M>
class boost::numeric::ublas::matrix_row< M >